/*
Theme Name: DMN WP STARTER
Description: DMN WP STARTER Child theme for customizations.
Author: DMN Creative
Author URI: mailto:dev@dmncreative.com
Template: oceanwp
Text Domain:  dmnwpstarter
Version: 2.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* Importing fonts */
@import "assets/fonts/fonts.css";
/* Importing fonts end */

/* Helpers and Init Styles */
:root{
    --site-headings-font: "Momokids Font";
    --site-body-font: "Century Gothic Pro";
    --site-main-green: #20B5AC;
    --site-main-black: #272727;
    --site-main-white: #ffffff;

    --site-h1-size: clamp(30px, 3.2vw + 18px, 80px);
    --site-h2-size: clamp(30px, 3.2vw + 18px, 80px);
    --site-span-size: clamp(1.4rem, 1.1vw + 0.05rem, 1.8rem);
}

a:focus {
    outline: none !important;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0px;
}

.site-content p, .site-content span:not(.xpro-title-focus), .archive .site p, .archive .site span:not(.xpro-title-focus) {
    font-size: var(--site-span-size);
}

.site-content h1, .archive .site h1 {
    font-size: var(--site-h1-size);
}

.site-content h2, .archive .site h2 {
    font-size: var(--site-h2-size);
}

.site-content h3, .archive .site h3 {
    font-size: var(--site-h3-size);
}

.site-content h4, .archive .site h4 {
    font-size: var(--site-h4-size);
}

.site-content .elementor-widget-button .elementor-button-wrapper .elementor-button-text, .site-content a {
    font-size: var(--site-span-size);
}

.oceanwp-pagination .page-numbers a.page-numbers, .oceanwp-pagination .page-numbers span.page-numbers {
    font-size: var(--site-span-size);
}

.cust-boxed-container-left > .e-con-inner {
    margin: 0px 0px 0px auto;
}

.cust-boxed-container-right > .e-con-inner {
    margin: 0px auto 0px 0px;
}
/* Helpers End */

/* FORMS */

/* Global Changes */

.wpcf7 .wpcf7-form .wpcf7-response-output {
    margin: 0px;
}

.wpcf7 .wpcf7-form.sent .wpcf7-response-output {
    border-color: var(--site-main-green);
}

/* Global Changes End */ 

/* FORMS END */

/* Desktop Styles Only */
@media screen and (min-width: 992px)  {

}

/* Laptop Styles Only */
@media screen and (min-width: 992px) and (max-width: 1690px) {

}

/* Mobile Styles */
@media screen and (max-width: 767px) {

}

/* iPad Styles */
@media screen and (max-width: 850px) and (min-width: 780px)  {

}

/* ANIMATIONS */

/* ANIMATIONS END */
